Name:           purple-facebookchat
Version:        1.35
Release:        5%{?dist}
Summary:        Libpurple plug-in supporting facebook IM
Group:          Applications/Internet
License:        GPLv3+
URL:            http://code.google.com/p/facebook-purple/
Source0:        http://pidgin-facebookchat.googlecode.com/files/pidgin-facebookchat-source-1.35.tar.bz2
Source3:        %{name}-Makefile
Patch0:         %{name}-MC-build.patch
Provides:       pidgin-facebookchat = %{version}-%{release} 
Obsoletes:      pidgin-facebookchat < 1.35-3
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libpurple-devel

%description
This is a Facebook chat plugin for Pidgin and libpurple
messengers. It connects to the new Facebook Chat IM service
without the need for an API key.

Currently the plugin can log into the Facebook servers, grab the
buddy list, send/receive messages, add/remove friends, receive
notifications, search for Facebook friends and set your Facebook
status.

%prep
%setup -q -c
%patch0 -p1 -b .RH-build
# Upstream Makefile is totally horrible, use our own instead.
mv Makefile Makefile.orig
install -p %{SOURCE3} Makefile

%build
export CFLAGS="$RPM_OPT_FLAGS"
make LIBDIR=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT LIBDIR=%{_libdir}
chmod 0755 $RPM_BUILD_ROOT%{_libdir}/purple-2/libfacebook.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/purple-2/*.so
%{_datadir}/pixmaps/pidgin/protocols/*/facebook.png

%changelog
* Sun Sep 28 2008 Matěj Cepl <mcepl@redhat.com> - 1.35-5
- Bump release to eliminate pidgin-facebookchat duplicate
  package.

* Wed Sep 24 2008 Matej Cepl <mcepl@redhat.com> 1.35-4
- Makefile is not compressed anymore and it shouldn't create
  source tarball anymore in all target.

* Tue Sep 23 2008 Matej Cepl <mcepl@redhat.com> 1.35-3
- Some changes from Dan Horák

* Mon Sep 22 2008 Matěj Cepl <mcepl@redhat.com> 1.35-1
- Initial build.
